/* ----- GLOBAL PADDING ----- */

.jpadding-nav {
  max-width: 1400px;
}

/* ----- NAVBAR ----- */

.navbar-logo {
  height: 39px;
  width: auto;
}


.navbar-toogle-block {
  display: none;
  align-items: center;
  justify-self: center;
  padding: 20px 40px;
  border-right: 1px solid #000;
}

.navbar-item {
  color: #000;
  text-align: center;
  margin-right: 20px;
}
.navbar-item:last-child {
  margin-right: 0px;
}
.navbar-item:last-child {
  border-right: none;
}

.jnavbar {
  margin: auto;
  background-color: transparent;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 15px;
  padding-top: 20px;
  font-size: 1.2em;
  position: relative;
  z-index: 2;
  transition-duration: 0.5s;
  color: #000;
}
.navbar-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.navbar-link {
  opacity: 0.4;
  justify-self: center;
  color: #fff;
  font-family: "Krona One", sans-serif;
  text-transform: uppercase;
    font-size: 15px;
  line-height: 20px;
  transition-duration: 0.3s;
  border-bottom: none;
  padding-bottom: 3px;
}
.navbar-link:hover {
  transition-duration: 0.3s;
  opacity: 0.9;
  color: #235bf7;
  text-decoration: none;
  border-bottom: 1px solid #235bf7;
}

.nav-tel-link {
  font-family: Inter;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 17px;
  text-transform: uppercase;
  color: #f42557;
  margin-right: 50px;
  transition-duration: 0.5s;
}
.nav-tel-link:hover {
  text-decoration: none;
  color: #235bf7;
  transition-duration: 0.5s;
}

/*  ----- NAVBAR TOGGLE BUTTON ----- */

.toggle-container {
  display: flex;
  align-items: center;
}

.toggle-button {
  position: relative;
  height: 30px;
  width: 35px;
  cursor: pointer;
  z-index: 100;
  transition: opacity 0.25s ease;
}

.toggle-button:hover span {
  background: #fff;
}

.toggle-button.active:hover .top {
  background: #235bf7;
}

.toggle-button.active:hover .middle {
  background: #235bf7;
}

.toggle-button.active:hover .bottom {
  background: #235bf7;
}

.toggle-button.active {
  z-index: 100;
  position: fixed;
  right: 45%;
}

.toggle-button.active .top {
  transform: translateY(11px) translateX(0) rotate(45deg);
  background: #235bf7;
  border-radius: 5px;
}

.toggle-button.active .middle {
  opacity: 0;
  background: #235bf7;
  border-radius: 5px;
}

.toggle-button.active .bottom {
  transform: translateY(-11px) translateX(0) rotate(-45deg);
  background: #235bf7;
  border-radius: 5px;
}

.toggle-button span {
  background: #fff;
  border: none;
  height: 3px;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  transition: all 0.35s ease;
  cursor: pointer;
  border-radius: 5px;
}

.toggle-button span:nth-of-type(2) {
  top: 11px;
}

.toggle-button span:nth-of-type(3) {
  top: 22px;
}

.toggle-button:hover span {
  background: #f42557;
}

/* ----- NAVBAR OVERLAY ----- */

.overlay {
  position: fixed;
  top: 0;
  right: 0;
  width: 0%;
  height: 100%;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.35s, visibility 0.35s, width 0.35s;
  overflow: hidden;
  z-index: 3;
  display: none;
}

.overlay .overlay-brand{
  padding: 25px 0 0 25px;

}
.overlay .nav-logo {
  height: 39px;
  width: auto;
}


.overlay-block {
  display: grid;
  background: #fff;
  opacity: 1 !important;
}
.overlay.open {
  opacity: 1;
  visibility: visible;
  width: 100%;
  display: grid;
  grid-template-columns: 1fr;
}
.overlay-background {
  background-color: #000;
  opacity: 0.5;
}

.overlay.open li {
  animation: fadeInLeft 0.5s ease forwards;
  animation-delay: 0.3s;
}

.overlay.open li:nth-of-type(2) {
  animation-delay: 0.35s;
}

.overlay.open li:nth-of-type(3) {
  animation-delay: 0.4s;
}

.overlay.open li:nth-of-type(4) {
  animation-delay: 0.45s;
}

.overlay.open li:nth-of-type(5) {
  animation-delay: 0.5s;
}

.overlay.open li:nth-of-type(6) {
  animation-delay: 0.55s;
}

.overlay nav {
  position: relative;
  top: 180px;
  transform: translateY(-50%);
  text-align: center;
  margin: auto;
}

.overlay ul {
  list-style: none;
  padding: 0;
  margin: 0 auto;
  display: inline-block;
  position: relative;
  height: 90%;
}

.overlay ul li {
  display: block;
  min-height: 50px;
  position: relative;
  opacity: 0;
  padding: 15px 0;
}

.overlay ul li a {
  font-family: "Krona One", sans-serif;
  text-transform: uppercase;
    display: block;
  position: relative;
  color: #235bf7;
  text-decoration: none;
  overflow: hidden;
  font-size: 38px !important;
  line-height: 40px;
  text-transform: uppercase;
  transition-duration: 0.3s;
}

.overlay ul li a:hover {
  color: #f42557;
  text-decoration: none;
  transition-duration: 0.3s;
}
.navbar-bottom-links {
  display: grid;
  grid-template-columns: auto auto;
}
.bottom-links-block {
  display: grid;
}
.navbar-bottom-link {
  color: #235bf7;
  font-size: 16px;
  line-height: 19px;
  width: fit-content;
  font-family: Poppins;
  background-color: transparent;
  border: none;
  text-align: left;
  padding: 0;
  transition-duration: 0.3s;
}
.navbar-bottom-link:hover {
  color: #f42557;
  transition-duration: 0.3s;
  text-decoration: none;
  width: fit-content;
}
.overlay-button-block {
  display: grid;
  gap: 20px;
  padding-top: 40px;
}

/* The @keyframes rule specifies the animation code , more info: https://www.w3schools.com/cssref/css3_pr_animation-keyframes.asp */

@keyframes fadeInLeft {
  0% {
    opacity: 0;
    left: 20%;
  }
  100% {
    opacity: 1;
    left: 0;
  }
}

/* ----- MEDIA QUERIES ----- */

@media only screen and (max-width: 4000px) {
  .right-nav-parent {
    display: initial;
  }
  .overlay {
    display: initial;
  }
  .toggle-container {
    display: block;
  }
  .toggle-button {
    display: block;
  }
  .social-link {
    display: initial;
  }
  /* .jpadding-nav {
    padding: 50px;
    max-width: initial;
    margin: auto;
  } */
}
@media (max-width: 1600px) {
  .jpadding-nav {
    padding: 20px;
    max-width: 1600px;
    margin: auto;
  }
}
@media (max-width: 1300px) {
  .overlay nav {
    padding-left: 150px;
  }
  .overlay nav {
    margin-left: auto;
    margin-right: auto;
    margin-bottom: auto;
    padding: 0;
  }
}

@media (max-width: 1150px) {
  .overlay.open {
    grid-template-columns: 1fr;
  }
  .overlay nav {
    margin-left: auto;
    margin-right: auto;
    margin-bottom: auto;
    top: 180px;
    padding: 0;
  }
  .overlay ul li a {
    font-size: 38px !important;
    line-height: 40px;
  }
}

@media (max-width: 1000px) {
  .navbar-toogle-block {
    display: initial;
    /* align-items: center;
    justify-self: center;
    padding: 20px 40px;
    border-right: 1px solid #000; */
  }
  nav .properties {
    display: none;
  }
  .navbar-callblock {
    display: none;
  }
  .jpadding-nav {
    padding: 50px;
  }
  .navbar-toogle-block {
    border-right: none;
    padding: 0;
  }
  .navbar-item {
    border-right: none;
    display: none;
  }
  .navbar-container {
    border: none;
  }

  .overlay.open {
    grid-template-columns: 1fr;
    overflow-y: hidden !important;
  }
  .overlay-background {
    display: none;
  }
  .toggle-button.active {
    color: #235bf7;
    z-index: 100;
    position: fixed;
    top: 3.5rem;
    right: 50px;
  }
  .nav-link,
  .jbtn-nav {
    margin-left: 0;
  }
  /* .nav-item {
            font-size: 1rem;
        } */
  .info {
    font-size: 0.8rem;
  }
  .jbtn {
    font-size: 1rem;
    /* padding: 8px 17px; */
  }
  .navbar-logo {
    padding-left: 0;
  }
  .navbar-link {
    display: none;
  }
  .navbar-container {
    grid-template-columns: 1fr;
    width: initial;
    margin: initial;
  }
}

@media (max-device-width: 768px) {
  .toggle-button.active {
    z-index: 100;
    position: fixed;
  }
}

@media (max-width: 576px) {
  .overlay ul {
    display: initial !important;
    gap: 10px;
  }
  .jpadding-nav {
    padding-left: 15px;
    padding-right: 15px;
  }
  .overlay .header-icons a {
    font-size: 18px;
  }
  .jpadding-nav {
    padding: 25px;
  }
  .toggle-button.active {
    top: 25px;
    right: 25px;
  }
}

@media (max-width: 420px) {
  .info {
    font-size: 0.7rem;
  }

  .overlay nav {
    font-size: 40px;
  }
  .overlay ul li {
    min-height: 25px;
  }
  .overlay .jbtn-nav {
    padding: 7px 13px;
    font-size: 1.1rem;
    margin-top: 20px;
  }
  .overlay-bottom img {
    width: 43px;
    height: 43px;
  }
  .toggle-button.active {
    top: 25px;
    right: 25px;
  }
  .overlay nav {
    margin-bottom: auto;
  }
  .jpadding-nav {
    padding: 25px 25px;
  }
}

@media (max-width: 364px) {
  .overlay .nav-logo,
  .overlay .nav-logo-blue {
    height: 40px;
    margin-top: 14px;
  }
  .jpadding-nav {
    padding: 25px 25px;
  }
}

/* ----- HEIGHT QUERIES ----- */

@media (max-height: 820px) {
  .overlay nav {
    margin-left: auto;
    margin-right: auto;
    margin-bottom: auto;
    /* top: 180px; */
    padding: 0;
  }
  .overlay ul li a {
    font-size: 38px !important;
    line-height: 40px;
  }
}
@media (max-height: 580px) {
  .overlay nav {
    /* top: 130px; */
    font-size: 25px;
  }
  .overlay ul li {
    min-height: 25px;
    padding: 10px 0;
  }
  .overlay ul li a {
    font-size: 38px !important;
    line-height: 40px;
  }
  .overlay ul {
    display: grid;
    grid-template-columns: 1fr;
    gap: 0px;
  }
  .overlay .jbtn-nav {
    padding: 7px 13px;
    font-size: 0.9rem;
    margin-top: 0px;
  }
  .overlay-bottom img {
    width: 30px;
    height: 30px;
  }
}

@media only screen and (max-height: 500px) {
  .overlay nav {
    /* top: 50px; */
    font-size: 20px;
    margin-bottom: auto;
    top: 45%;
  }
  .overlay ul {
    display: grid;
    grid-template-columns: 1fr;
    gap: 0px;
  }
  .overlay ul li {
    min-height: 20px;
    padding: 4px 10px 0 0;
  }
  .overlay ul li a {
    font-size: 20px !important;
  }
  .overlay .header-icons a {
    font-size: 16px;
  }
  .toggle-button.active {
    top: 25px;
    right: 25px;
  }
}

@media only screen and (max-height: 360px) {
  .overlay nav {
    /* top: 100px; */
    font-size: 20px;
  }
  .overlay ul li {
    min-height: 20px;
    padding: 5px 0;
  }
  .overlay ul li a {
    font-size: 20px !important;
  }
  .overlay .header-icons a {
    font-size: 16px;
  }
}
